// Model: Handles data fetching
const Model = {
    //TODO: Add function to send CreateUserRequest to Backend

    async fetchProducts() {
      const response = await fetch('http://127.0.0.1:8000/view_products');
      return response.json();
    },
  
    async fetchProduct(productId) {
      const response = await fetch(`http://127.0.0.1:8000/view_product/`, {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json',
        },
        body: JSON.stringify({ product_id: productId }),
      });
      return response.json();
    },
  };