// View: Handles rendering
const View = {
    //TODO: Add function to render UserCreateResponse

    renderProducts(products) {
        const main = document.getElementById('main');
        main.innerHTML = `
        <h1>Products</h1>
        <ul>
            ${products.map(product => View.renderProductInList(product)).join('')}
        </ul>
        `;
    },

    renderProductInList(product) {
        return `
        <li>
            <a href="#" data-id="${product.id}" class="product-link">
            ${product.name} - $${product.price}
            </a>
        </li>
        `;
    },

    renderProduct(product) {
        const main = document.getElementById('main');
        main.innerHTML = `
        <h1>${product.name}</h1>
        <p>Price: $${product.price}</p>
        <p>Description: ${product.description}</p>
        <button id="back-button">Back to Products</button>
        `;
    },

    renderUserRegister() {
        const main = document.getElementById('main');
        main.innerHTML = `
        <div class="form-container" id="user-form-container">
        <h2>Create User</h2>
        <div id="user-form">
            <input type="text" id="user-name" name="name" placeholder="Enter your name" required>
            <input type="text" id="user-email" name="email" placeholder="Enter your email" required>
            <input type="password" id="user-password" name="password" placeholder="Enter your password" required>
            <button id="create-user-button">Create Account</button>
        </div>
        `;
    },
};