from use_cases import ViewCart
from tests.mocks import CartDatabase
import unittest


class TestViewCart(unittest.TestCase):
    def setUp(self):
        self.cart_database = CartDatabase()
        self.view_cart_use_case = ViewCart(self.cart_database)

    def test_view_cart_valid_id(self):
        result = self.view_cart_use_case.execute(1)
        self.assertIsNotNone(result)
        #self.assertEqual(result['id'], 1)



if __name__ == "__main__":
    unittest.main()